Re: [ovirt-users] How to update ovirt nodes

2017-02-06 Thread Shalabh Goel
Now I got an error while installing the third node too. I am attaching the
log file.

2017-02-06 16:43:51,488+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum Status: Check Package
Signatures.
2017-02-06 16:43:51,496+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum Status: Running Test
Transaction.
2017-02-06 16:43:51,638+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum Status: Running Transaction.
2017-02-06 16:43:51,746+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum update: 1/4:
ovirt-node-ng-image-4.1.0-1.el7.centos.noarch.
2017-02-06 16:43:56,054+05 INFO
[org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector]
(VdsDeploy) [2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] EVENT_ID:
VDS_INSTALL_IN_PROGRESS(509), Correlation ID:
2a3cb164-9fe7-4487-9837-1c84c9a6a2d3, Call Stack: null, Custom Event ID:
-1, Message: Installing Host NFShost-235.6. Yum update: 2/4:
ovirt-node-ng-image-update-4.1.0-1.el7.centos.noarch.
2017-02-06 16:47:26,376+05 ERROR
[org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase] (VdsDeploy)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Error during deploy dialog:
java.io.IOException: Unexpected connection termination
at
org.ovirt.otopi.dialog.MachineDialogParser.nextEvent(MachineDialogParser.java:376)
[otopi.jar:]
at
org.ovirt.otopi.dialog.MachineDialogParser.nextEvent(MachineDialogParser.java:393)
[otopi.jar:]
at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.threadMain(VdsDeployBase.java:304)
[bll.jar:]
at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.lambda$new$0(VdsDeployBase.java:383)
[bll.jar:]
at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_121]

2017-02-06 16:47:26,379+05 ERROR
[org.ovirt.engine.core.uutils.ssh.SSHDialog] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] SSH error running command
root@10.1.235.6:'umask 0077; MYTMP="$(TMPDIR="${OVIRT_TMPDIR}" mktemp -d -t
ovirt-XX)"; trap "chmod -R u+rwX \"${MYTMP}\" > /dev/null 2>&1; rm
-fr \"${MYTMP}\" > /dev/null 2>&1" 0; tar --warning=no-timestamp -C
"${MYTMP}" -x &&  "${MYTMP}"/ovirt-host-mgmt DIALOG/dialect=str:machine
DIALOG/customization=bool:True': SSH session hard timeout host '
root@10.1.235.6'
2017-02-06 16:47:26,379+05 ERROR
[org.ovirt.engine.core.uutils.ssh.SSHDialog] (pool-5-thread-8)
[2a3cb164-9fe7-4487-9837-1c84c9a6a2d3] Exception:
javax.naming.TimeLimitExceededException: SSH session hard timeout host '
root@10.1.235.6'
at
org.ovirt.engine.core.uutils.ssh.SSHClient.executeCommand(SSHClient.java:475)
[uutils.jar:]
at
org.ovirt.engine.core.uutils.ssh.SSHDialog.executeCommand(SSHDialog.java:317)
[uutils.jar:]
at
org.ovirt.engine.core.bll.hostdeploy.VdsDeployBase.execute(VdsDeployBase.java:563)
[bll.jar:]
at
org.ovirt.engine.core.bll.host.HostUpgradeManager.update(HostUpgradeManager.java:99)
[bll.jar:]
at
org.ovirt.engine.core.bll.hostdeploy.UpgradeHostInternalCommand.executeCommand(UpgradeHostInternalCommand.java:72)
[bll.jar:]
at
org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1251)
[bll.jar:]
at
org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1391)
[bll.jar:]
at
org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2055)
[bll.jar:]
at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164)
[utils.jar:]
at
org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103)
[utils.jar:]
at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1451)
[bll.jar:]
at
org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:397)
[bll.jar:]
at
org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13)
[bll.jar:]
at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:511)
[bll.jar:]
at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:753)

Re: [ovirt-users] How to update ovirt nodes

2017-02-06 Thread Shalabh Goel
Hi,

I have 3 nodes. 2 compute and 1 storage (NFS) and separate server for
engine. I upgraded the engine first. I went on smoothly without any errors.

Then I started upgrade on all 3 of them by installing the
ovirt-release41.rpm. But the upgrade timed out and failed on all the 3
nodes.

Then I restarted upgrade on first node from within the engine again. The
engine event log said the upgrade timed out but when I checked on the node,
it was successful (means the yum service was running on the node and it
installed the upagrde but the engine said otherwise). So I restarted that
node. But after the reboot, the node was moved to non-operational by the
engine because of the following error,
 "Host host1 does not comply with the cluster Default networks, the
following networks are missing on host: 'ovirtmgmt'".

UPDATE: I enabled open-vswitch service on the this node and it has been
successfully added to the engine.

After that my second node developed some hardware problem. So I did a fresh
install of ovirt 4.0.3 on it and then changed the repo files on it by
replacing 40 by 41 in all the files (including ovirt-dependencies.repo). I
upgraded it successfully and rebooted and logged in to 4.1. Now, in engine
I removed the second node and tried to add it but I got the same error on
this node too. I have enabled the open-vswitch service on this node too and
rebooted the machine but the error stays the same. I think that the issue
has something to do with OVS. Do you still want me to attach engine.log and
host-deploy.log files?

Meanwhile I have changed the changed the cluster and data center
compatibility to 4.1


Now regarding upgrade of the third node (storage). I moved the node to
maintenance and ran the following command on the node:

*yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release41.rpm
*

When I run yum update, I am getting the following errors:




























































































































































































































































































*Loaded plugins: fastestmirror, imgbased-warningWarning: yum operations are
not persisted across upgrades!Repository virtio-win-stable is listed more
than once in the
configurationcentos-opstools-testing
| 2.9 kB  00:00:00
centos-ovirt-common-candidate
| 3.4 kB  00:00:00
centos-ovirt41-candidate
| 3.4 kB  00:00:00
ovirt-4.1
| 2.9 kB  00:00:00
ovirt-4.1-centos-gluster38
| 2.9 kB  00:00:00
ovirt-4.1-epel/x86_64/metalink
| 6.2 kB  00:00:00
ovirt-4.1-epel
| 4.3 kB  00:00:00
ovirt-4.1-patternfly1-noarch-epel
| 3.0 kB  00:00:00 (1/3):
ovirt-4.1/7/primary_db
|  88 kB  00:00:00 ovirt-4.1-epel/x86_64/primary_
FAILED
https://repo.fedoralinux.ir/pub/epel/7/x86_64/repodata/e8dcf6c8fd1618b376ebc6b71cab2f7d1e8f10d02bc9404825f0a2a0b524ef4c-primary.sqlite.xz
:
[Errno 14] curl#60 - "Peer's Certificate has expired."Trying other
mirror.It was impossible to connect to the CentOS servers.This could mean a
connectivity issue in your environment, such as the requirement to
configure a proxy,or a transparent proxy that tampers with TLS security, or
an incorrect system clock.Please collect information about the specific
failure that occurs in your environment,using the instructions in:
https://access.redhat.com/solutions/1527033
 and create a bug on
https://bugs.centos.org/ (2/3):
ovirt-4.1-epel/x86_64/updateinfo
| 730 kB  00:00:15 (3/3):
ovirt-4.1-epel/x86_64/primary_db
| 4.5 MB  00:00:27 Loading mirror speeds from cached hostfile *
ovirt-4.0: ftp.nluug.nl  * ovirt-4.0-epel:
ae.mirror.rasanegar.com  * ovirt-4.1:
ftp.nluug.nl  * ovirt-4.1-epel:
ae.mirror.rasanegar.com Resolving
Dependencies--> Running transaction check---> Package
cockpit-ovirt-dashboard.noarch 0:0.10.6-1.3.6.el7.centos will be
updated---> Package cockpit-ovirt-dashboard.noarch
0:0.10.7-0.0.6.el7.centos will be an update---> Package glusterfs.x86_64
0:3.7.13-1.el7 will be updated---> Package glusterfs.x86_64 0:3.8.8-1.el7
will be an update---> Package glusterfs-api.x86_64 0:3.7.13-1.el7 will be
updated---> Package glusterfs-api.x86_64 0:3.8.8-1.el7 will be an
update---> Package glusterfs-cli.x86_64 0:3.7.13-1.el7 will be updated--->
Package glusterfs-cli.x86_64 0:3.8.8-1.el7 will be an update---> Package
glusterfs-client-xlators.x86_64 0:3.7.13-1.el7 will be updated---> Package
glusterfs-client-xlators.x86_64 0:3.8.8-1.el7 will be an update---> Package
glusterfs-fuse.x86_64 0:3.7.13-1.el7 will be updated---> Package
glusterfs-fuse.x86_64 

Re: [ovirt-users] How to update ovirt nodes

2017-02-05 Thread Yedidyah Bar David
(Re-adding the list)

On Sun, Feb 5, 2017 at 12:23 PM, Shalabh Goel  wrote:
> Yes and no. First I did install ovirtrelease41 rpm in both nodes. Then in
> one of the nodes, I started upgrade from the court engine administration
> portal.
> The second node developed some other problem and hence I had to remove it
> from the court engine and I reinstalled ovirt 4.0.3 ng and then upgraded it
> before adding it to the engine. It got upgraded successfully and I rebooted
> and logged into 4.1 too.
>
> But I am getting the same error for both the nodes. The first one was moved
> to non operational state by the engine. The second one is not getting added.
>
> My VMs are in a third storage node *(NFS). I have not yet upgraded it since
> other two upgrades failed.
>
> BTW I have changed the compatibility of cluster and data centre to 4.1.

Your current state is not fully clear. Can you please describe it in detail?

How many hosts do you have? What's the state of each in the engine?

Do you have VMs that are ok? And if so, is it important to not stop them?

In any case, if you have hosts that do not have VMs on them, and in whatever
state, it's probably simplest to move them to maintenance, remove from the
engine, reinstall the OS, then try to add them.

If you try to add a host and it fails, please check/attach engine.log and
host-deploy log.

If you fail to activate a host, please check/attach engine.log.

Best,

>
> Thanks
>
> Shalabh Goel
>
> On 05-Feb-2017 12:19 PM, "Yedidyah Bar David"  wrote:
>>
>> On Fri, Feb 3, 2017 at 6:35 AM, Shalabh Goel 
>> wrote:
>> > Hi can u just confirm something for me? I had to change the existing
>> > ovirt-4.0 repos to ovirt 4.1 (by replacing 40 by 41 in the repo files).
>>
>> That's mostly ok, but generally you should install ovirt-release41.rpm.
>>
>> It will also add/update ovirt-*-dependencies.repo .
>>
>> > And
>> > then I ran yum update. And rebooted the nodes and booted into
>> > ovirt-node4.1.
>>
>> Didn't you move to maintenance? Were your VMs migrated correctly?
>>
>> > Is the procedure correct?
>> >
>> > Thanks
>> >
>> > Shalabh Goel
>> >
>> > On Thu, Feb 2, 2017 at 2:02 PM, Yedidyah Bar David 
>> > wrote:
>> >>
>> >> On Thu, Feb 2, 2017 at 8:14 AM, Shalabh Goel 
>> >> wrote:
>> >> > Hi
>> >> >
>> >> > Ovirt 4.1 has been released, I want to to know how to upgrade the
>> >> > Ovirt
>> >> > nodes to 4.1. I was able to upgrade ovirt-engine but I could not find
>> >> > how to
>> >> > upgrade node.
>> >>
>> >> Something like:
>> >>
>> >> 1. Move node to maintenance
>> >> 2. Add 4.1 repos
>> >> 3. yum update
>> >> 4. reboot
>> >> 5. Activate (exit maintenance)
>> >>
>> >> See also:
>> >>
>> >> https://www.ovirt.org/node/
>> >> http://www.ovirt.org/node/faq/
>> >>
>> >> If in "node" you referred to ovirt-node, and not a regular OS install,
>> >> then
>> >> the flow is exactly the same, but what actually happens inside it is
>> >> very
>> >> different - the entire OS image is replaced.
>> >>
>> >> You might want to check also:
>> >>
>> >>
>> >>
>> >> http://www.ovirt.org/develop/release-management/features/engine/upgrademanager/
>> >>
>> >> Best,
>> >> --
>> >> Didi
>> >
>> >
>> >
>> >
>> > --
>> > Shalabh Goel
>>
>>
>>
>> --
>> Didi



-- 
Didi
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] How to update ovirt nodes

2017-02-04 Thread Yedidyah Bar David
On Fri, Feb 3, 2017 at 6:35 AM, Shalabh Goel  wrote:
> Hi can u just confirm something for me? I had to change the existing
> ovirt-4.0 repos to ovirt 4.1 (by replacing 40 by 41 in the repo files).

That's mostly ok, but generally you should install ovirt-release41.rpm.

It will also add/update ovirt-*-dependencies.repo .

> And
> then I ran yum update. And rebooted the nodes and booted into ovirt-node4.1.

Didn't you move to maintenance? Were your VMs migrated correctly?

> Is the procedure correct?
>
> Thanks
>
> Shalabh Goel
>
> On Thu, Feb 2, 2017 at 2:02 PM, Yedidyah Bar David  wrote:
>>
>> On Thu, Feb 2, 2017 at 8:14 AM, Shalabh Goel 
>> wrote:
>> > Hi
>> >
>> > Ovirt 4.1 has been released, I want to to know how to upgrade the Ovirt
>> > nodes to 4.1. I was able to upgrade ovirt-engine but I could not find
>> > how to
>> > upgrade node.
>>
>> Something like:
>>
>> 1. Move node to maintenance
>> 2. Add 4.1 repos
>> 3. yum update
>> 4. reboot
>> 5. Activate (exit maintenance)
>>
>> See also:
>>
>> https://www.ovirt.org/node/
>> http://www.ovirt.org/node/faq/
>>
>> If in "node" you referred to ovirt-node, and not a regular OS install,
>> then
>> the flow is exactly the same, but what actually happens inside it is very
>> different - the entire OS image is replaced.
>>
>> You might want to check also:
>>
>>
>> http://www.ovirt.org/develop/release-management/features/engine/upgrademanager/
>>
>> Best,
>> --
>> Didi
>
>
>
>
> --
> Shalabh Goel



-- 
Didi
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] How to update ovirt nodes

2017-02-02 Thread Shalabh Goel
Hi can u just confirm something for me? I had to change the existing
ovirt-4.0 repos to ovirt 4.1 (by replacing 40 by 41 in the repo files). And
then I ran yum update. And rebooted the nodes and booted into
ovirt-node4.1. Is the procedure correct?

Thanks

Shalabh Goel

On Thu, Feb 2, 2017 at 2:02 PM, Yedidyah Bar David  wrote:

> On Thu, Feb 2, 2017 at 8:14 AM, Shalabh Goel 
> wrote:
> > Hi
> >
> > Ovirt 4.1 has been released, I want to to know how to upgrade the Ovirt
> > nodes to 4.1. I was able to upgrade ovirt-engine but I could not find
> how to
> > upgrade node.
>
> Something like:
>
> 1. Move node to maintenance
> 2. Add 4.1 repos
> 3. yum update
> 4. reboot
> 5. Activate (exit maintenance)
>
> See also:
>
> https://www.ovirt.org/node/
> http://www.ovirt.org/node/faq/
>
> If in "node" you referred to ovirt-node, and not a regular OS install, then
> the flow is exactly the same, but what actually happens inside it is very
> different - the entire OS image is replaced.
>
> You might want to check also:
>
> http://www.ovirt.org/develop/release-management/features/
> engine/upgrademanager/
>
> Best,
> --
> Didi
>



-- 
Shalabh Goel
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] How to update ovirt nodes

2017-02-02 Thread Yaniv Kaul
On Thu, Feb 2, 2017 at 10:32 AM, Yedidyah Bar David  wrote:

> On Thu, Feb 2, 2017 at 8:14 AM, Shalabh Goel 
> wrote:
> > Hi
> >
> > Ovirt 4.1 has been released, I want to to know how to upgrade the Ovirt
> > nodes to 4.1. I was able to upgrade ovirt-engine but I could not find
> how to
> > upgrade node.
>
> Something like:
>
> 1. Move node to maintenance
> 2. Add 4.1 repos
> 3. yum update
> 4. reboot
> 5. Activate (exit maintenance)
>

Once all nodes are in 4.1 level you should move the cluster and then the DC
to 4.1 and enjoy its new features.
Y.


>
> See also:
>
> https://www.ovirt.org/node/
> http://www.ovirt.org/node/faq/
>
> If in "node" you referred to ovirt-node, and not a regular OS install, then
> the flow is exactly the same, but what actually happens inside it is very
> different - the entire OS image is replaced.
>
> You might want to check also:
>
> http://www.ovirt.org/develop/release-management/features/
> engine/upgrademanager/
>
> Best,
> --
> Didi
> ___
> Users mailing list
> Users@ovirt.org
> http://lists.ovirt.org/mailman/listinfo/users
>
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users


Re: [ovirt-users] How to update ovirt nodes

2017-02-02 Thread Yedidyah Bar David
On Thu, Feb 2, 2017 at 8:14 AM, Shalabh Goel  wrote:
> Hi
>
> Ovirt 4.1 has been released, I want to to know how to upgrade the Ovirt
> nodes to 4.1. I was able to upgrade ovirt-engine but I could not find how to
> upgrade node.

Something like:

1. Move node to maintenance
2. Add 4.1 repos
3. yum update
4. reboot
5. Activate (exit maintenance)

See also:

https://www.ovirt.org/node/
http://www.ovirt.org/node/faq/

If in "node" you referred to ovirt-node, and not a regular OS install, then
the flow is exactly the same, but what actually happens inside it is very
different - the entire OS image is replaced.

You might want to check also:

http://www.ovirt.org/develop/release-management/features/engine/upgrademanager/

Best,
-- 
Didi
___
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users